libai.engine
##############################

libai.engine.default module
---------------------------------
.. currentmodule:: libai.engine
.. automodule:: libai.engine.default
    :member-order: bysource
    :members: 
        default_setup,
        DefaultTrainer,


libai.engine.hooks module
---------------------------------
.. currentmodule:: libai.engine
.. automodule:: libai.engine.hooks
    :member-order: bysource
    :members: 
        CallbackHook,
        IterationTimer,
        PeriodicWriter,
        PeriodicCheckpointer,
        BestCheckpointer,
        EvalHook,
        LRScheduler,


libai.engine.trainer module
---------------------------------
.. currentmodule:: libai.engine
.. automodule:: libai.engine.trainer
    :member-order: bysource
    :members: 
        HookBase,
        TrainerBase,
        EagerTrainer,
        GraphTrainer,